Subject: Re: [BUG] Directory glob picks up running or already-run scripts on OS X
From: "Jun T." <[email-masked]>
To: [email-masked]
Date: Tue, 12 Jul 2016 04:18:30 +0900
List-Id: Zsh Workers List <zsh-workers.zsh.org>

I tested on Mavericks (10.9.5) and El Capitan (10.11.5).

On OS X 10.9.5, the behavior is the same as 10.8.

But on 10.11.5, I can not reproduce the strange behavior of
access(2) if I use bash or /bin/zsh (5.0.8, built by Apple).
The problem exists only if I run the script and atest from
/usr/local/bin/zsh (git HEAD, local build).

The script itself (foo in my case) need not be a zsh script.
It can be
#!/bogus/command
to reproduce the problem.

I have no idea where the information that the script foo
has been run is "cached", why it can affect the result
of a system call.